<?php
/**
 *
 * @author min晓天
 * @url http://bbs.we7.cc/
 */
defined('IN_IA') or exit('Access Denied');
global $_GPC, $_W;

load()->func('tpl');
$operation = ! empty($_GPC['op']) ? $_GPC['op'] : 'list';
if ($operation == 'dak') {
    $dak = pdo_get("evzg_express_setting",array('uniacid'=>$_W['uniacid']));
    if ($_W['ispost']) {
        $putpaytype = $_GPC['putpaytype'];
        $data = array();
        $data['uniacid'] = $_W['uniacid'];
        $data['daktype'] = $_GPC['daktype'];
        $data['dakprice'] = floatval($_GPC['dakprice']);
        $data['putpaytype'] = $putpaytype;
        if($putpaytype==1){
            if($_GPC['putprice']<1){
                message('线上提款最小金额为1元！', $this->createWebUrl('dak', array(
                    'op' => 'dak',
                )), 'error');
            }
            $putprice = floatval($_GPC['putprice']);
        }
        if($putpaytype==2){
            $putprice = floatval($_GPC['putprice2']);
        }
        $data['putprice'] = $putprice;
        if(!empty($dak)){
            pdo_update("evzg_express_setting",$data,array('uniacid'=>$_W['uniacid']));
        }else{
            pdo_insert("evzg_express_setting",$data);
        }
        message('设置驿站成功！', $this->createWebUrl('dak', array(
            'op' => 'dak',
        )), 'success');
    }
    include $this->template('dak');
}